%define cname	Geany

Summary:	Small C editor using GTK2
Name: 		geany
Version: 	1.23.1
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		Development/C
URL: 		http://geany.uvena.de/
Source0: 	http://download.geany.org/%{name}-%{version}.tar.bz2

# The following tags file archive retrieved October 15th 2012
# from geany wiki: http://wiki.geany.org/tags/start
Source10:	geany-tags.tar.bz2

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	intltool

Requires:	xterm

%description
Geany is a small C editor using GTK2 with basic features of an
integrated development environment. It features syntax highlighting,
code completion, call tips, many supported filetypes (including C,
Java, PHP, HTML, DocBook, Perl, LateX, and Bash), and symbol lists.

%package devel
Summary:	Header files for building Geany plug-ins
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files and pkg-config file needed for
building Geany plug-ins. You do not need to install this package
to use Geany.

%prep
%setup -q -a 10

%build
%configure2_5x
%make

#docs
%make api-doc -C doc

%install
%makeinstall_std

# research locale file
%find_lang %{name}

# prepare menu
# we remove the key "Version" and "Encoding" because it's invalid
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--remove-key="Version" \
	--remove-key="Encoding" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Install tags files
mkdir -p %{buildroot}%{_datadir}/%{name}/tags/
install -Dpm644 tags/* %{buildroot}%{_datadir}/%{name}/tags/

#we don't want these
rm -rf %{buildroot}%{_libdir}/geany/*.la

%files -f %{name}.lang
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/icons/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*
%{_iconsdir}/hicolor/*/apps/*

%files devel
%doc HACKING TODO doc/reference
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.23.1-2.mga4
+ Revision: 523664
- Mageia 4 Mass Rebuild

* Fri May 24 2013 kharec <kharec> 1.23.1-1.mga4
+ Revision: 425881
- update to 1.23.1

* Thu May 23 2013 kharec <kharec> 1.23-1.mga4
+ Revision: 425126
- update to 1.23

* Fri Jan 11 2013 umeabot <umeabot> 1.22-2.mga3
+ Revision: 351170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 wally <wally> 1.22-1.mga3
+ Revision: 306703
- new version 1.22
- download and update tags from upstream wiki
- clean .spec a bit

* Thu Aug 18 2011 wally <wally> 0.20-2.mga2
+ Revision: 134310
- split out devel files from main package
  (they're not needed to run Geany)
- add api-docs to -devel package
- update tags files (partially from Fedora)
- require xterm (mga#2431)

* Wed May 04 2011 ennael <ennael> 0.20-1.mga1
+ Revision: 94741
- clean spec file
- imported package geany


* Sun Jan 09 2011 Александр Казанцев <kazancas@mandriva.org> 0.20-1mdv2011.0
+ Revision: 630810
- new version 0.20

* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 0.19.2-1mdv2011.0
+ Revision: 624789
- update to new version 0.19.2

* Tue Aug 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.19.1-1mdv2011.0
+ Revision: 574916
- update to 0.19.1

* Sun Aug 01 2010 trem <trem@mandriva.org> 0.19-1mdv2011.0
+ Revision: 564855
- update to 0.19

* Sun Feb 14 2010 Funda Wang <fwang@mandriva.org> 0.18.1-1mdv2010.1
+ Revision: 505926
- drop dup files declaration
- update to new version 0.18.1

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.18-1mdv2010.0
+ Revision: 417201
- Update to new version 0.18
- Update tag files
- Don't do custom installation of icons, make install now takes care of
  installing them in fdo icon directories

* Sun May 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0.17-1mdv2010.0
+ Revision: 370910
- Update to new version 0.17
- Fix license
- Fix source URL
- Package contrib tags files

* Sun Feb 15 2009 trem <trem@mandriva.org> 0.16-1mdv2009.1
+ Revision: 340646
- update to 0.16

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.15-1mdv2009.1
+ Revision: 324737
- Fix BR
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 19 2008 trem <trem@mandriva.org> 0.14-1mdv2009.0
+ Revision: 195799
- update to 0.14

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Feb 05 2008 trem <trem@mandriva.org> 0.13-1mdv2008.1
+ Revision: 162874
- update to 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 trem <trem@mandriva.org> 0.12-2mdv2008.1
+ Revision: 98282
- new packaging revision
- remove macro _icons16dir

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 0.12-1mdv2008.1
+ Revision: 98274
- add missing icons
- fix desktop entry and icons

  + trem <trem@mandriva.org>
    - remove unkown macro iconsbasedir
    - add BuildRequires perl-XML-Parser
    - update to 0.12

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'
    - fix man pages

* Mon May 21 2007 trem <trem@mandriva.org> 0.11-1mdv2008.0
+ Revision: 29521
- new release 0.11


* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 127084
- New release 0.10.2

* Sat Dec 23 2006 trem <trem@mandriva.org> 0.10-1mdv2007.1
+ Revision: 101854
- Add buildrequires ImageMagick
- Add buildrequires desktop-file-utils
- Add buildrequires gtk2-devel
- Add buildrequires pkgconfig
- 0.10
- Import geany

* Fri Aug 11 2006 trem <trem@mandriva.org> 0.8-1mdv2007.0
- 0.8

* Thu Jul 20 2006 trem <trem@mandriva.org> 0.7.1-1mdv2007.0
- 0.7.1
- add Patch0 to fix a double free
- switch to XDG menu

* Mon Jun 05 2006 trem <trem@mandriva.org> 0.7-1mdv2007.0
- 0.7

* Mon May 01 2006 trem <trem@mandriva.org> 0.6-2mdk
- fix packager name in changelog

* Mon May 01 2006 <trem@mandriva.org> 0.6-1mdk
- Initial build.

